Installing ImunifyAV Free
Forum
  1. Forums
  2. Imunify360
  3. Imunify360 and Imunify Sensor
  1. Nirjonadda
  2. Tuesday, 12 May 2020
  3.  Subscribe via email
We can not Installing ImunifyAV Free version. I see this is conflicts with EPEL and OKay Repositories. OKay offers an alternate repository to complement missing packages from CENTOS and EPEL. So How can Excluded libnghttp package from imunify360 or OKay Repo?


Install 1 Package (+56 Dependent packages)

Total download size: 99 M
Installed size: 336 M
Downloading packages:
--------------------------------------------------------------------------------
Total 6.5 MB/s | 99 MB 00:15
Running transaction check
Running transaction test

Transaction check error: file /usr/lib64/libnghttp2.so.14 from install of libnghttp2-1.31.1-2.el7.x86_64

4 conflicts with file from package libnghttp2_14_17_1-1.35.1-3.el7.x86_64

Error Summary
-------------

Package imunify-antivirus was not installed.
[[email protected] ~]#



[[email protected] ~]# yum list installed | grep @okay
autoconf.noarch 2.69-12.el7.centos @okay
automake.x86_64 1.14-1.el7 @okay
libnghttp2_14_17_1.x86_64 1.35.1-3.el7 @okay
nodejs.x86_64 1:10.13.0-2.el7 @okay
npm.x86_64 1:6.4.1-1.10.13.0.2.el7 @okay
popt.x86_64 1.16-14.el7 @okay
[[email protected] ~]#
Rate this post:
  1. 12.05.2020 15:05:51
  2. # 1
Sergey Khristich Accepted Answer
Posts: 338
Joined: 20.05.2019
0
Votes
Undo
Hello,
Thank you for reaching out! In the case that you already have libnghttp2_14_17_1.x86_64 installed, and our software requires a lower version libnghttp2-1.31.1-2.el7.x86_64, then you can try downgrading using:

yum downgrade

and lower it below 1.31.1-2 and then turn off OK repo and install our software again.
If this does not work, please create a ticket here https://cloudlinux.zendesk.com/hc/en-us/requests/new and technical experts will help you asap. If you have any other questions, feel free to ask here.
Thank you for contacting us.
Marketing Manager
  1. 12.05.2020 16:05:50
  2. # 2
Nirjonadda Accepted Answer
Posts: 4
Joined: 29.04.2020
0
Votes
Undo
So we need Run this command? Only using "yum downgrade" are not downgraded all Package? Should we need specific Package name for downgrade.


yum downgrade libnghttp2-1.31.1-2.el7.x86_64
  1. 12.05.2020 16:05:14
  2. # 3
Sergey Khristich Accepted Answer
Posts: 338
Joined: 20.05.2019
0
Votes
Undo
Hello,
You can use this command:

yum downgrade libnghttp2
Marketing Manager
  1. 12.05.2020 17:05:43
  2. # 4
Nirjonadda Accepted Answer
Posts: 4
Joined: 29.04.2020
0
Votes
Undo
Hello,
You can use this command:

yum downgrade libnghttp2


Does not work. Why not using latest version of libnghttp2?


No Match for available package: libnghttp2-1.7.1-1.el7.x86_64
Nothing to do
  1. 12.05.2020 17:05:57
  2. # 5
Nirjonadda Accepted Answer
Posts: 4
Joined: 29.04.2020
0
Votes
Undo
Not working any command we are using. Please note, we have disabled OKay Repositories.


[[email protected] ~]# yum downgrade libnghttp2-1.31.1-2.el7.x86_64
Loaded plugins: fastestmirror, universal-hooks
Loading mirror speeds from cached hostfile
* EA4: 91.197.228.252
* EA4-experimental: 91.197.228.252
* cpanel-addons-production-feed: 91.197.228.252
* cpanel-plugins: 91.197.228.252
* base: mirror.nl.datapacket.com
* epel: ftp.nluug.nl
* extras: mirror.ams1.nl.leaseweb.net
* remi-safe: remi.mirror.liteserver.nl
* updates: mirror.nforce.com
No Match for available package: libnghttp2-1.31.1-2.el7.x86_64
Nothing to do



[[email protected] ~]# yum downgrade libnghttp2
Loaded plugins: fastestmirror, universal-hooks
Loading mirror speeds from cached hostfile
* EA4: 91.197.228.252
* EA4-experimental: 91.197.228.252
* cpanel-addons-production-feed: 91.197.228.252
* cpanel-plugins: 91.197.228.252
* base: mirror.nl.datapacket.com
* epel: ftp.nluug.nl
* extras: mirror.ams1.nl.leaseweb.net
* remi-safe: remi.mirror.liteserver.nl
* updates: mirror.nforce.com
No Match for available package: libnghttp2-1.7.1-1.el7.x86_64
Nothing to do
[[email protected] ~]#


Also this command show Package(s) libnghttp2 available, but not installed.


[[email protected] ~]# yum update libnghttp2
Loaded plugins: fastestmirror, universal-hooks
Loading mirror speeds from cached hostfile
* EA4: 91.197.228.252
* EA4-experimental: 91.197.228.252
* cpanel-addons-production-feed: 91.197.228.252
* cpanel-plugins: 91.197.228.252
* base: mirror.nl.datapacket.com
* epel: ftp.nluug.nl
* extras: mirror.ams1.nl.leaseweb.net
* remi-safe: remi.mirror.liteserver.nl
* updates: mirror.nforce.com
Package(s) libnghttp2 available, but not installed.
No packages marked for update
  1. 12.05.2020 18:05:37
  2. # 6
Sergey Khristich Accepted Answer
Posts: 338
Joined: 20.05.2019
0
Votes
Undo
Can you open a support ticket https://cloudlinux.zendesk.com/hc/en-us/requests/new ? And our technical experts will help you asap. You can post the ticket number here and we'll link this thread to it.
Thank you.
Marketing Manager
  1. 12.05.2020 18:05:51
  2. # 7
Nirjonadda Accepted Answer
Posts: 4
Joined: 29.04.2020
0
Votes
Undo
Fixed with this command, Thanks


yum remove libnghttp2_14_17_1.x86_64
  1. 12.05.2020 18:05:27
  2. # 8
Sergey Khristich Accepted Answer
Posts: 338
Joined: 20.05.2019
0
Votes
Undo
Thanks for the feedback, nice to hear that!
Marketing Manager
  • Page :
  • 1


There are no replies made for this post yet.
Be one of the first to reply to this post!
Guest
Submit Your Response
Upload files or images for this discussion by clicking on the upload button below. Supports gif,jpg,png,zip,rar,pdf
• Insert • Remove Upload Files (Maximum File Size: 2 MB)
Captcha
To protect the site from bots and unauthorized scripts, we require that you enter the captcha codes below before posting your question.